Bug 123972 - new libtiff breaks gqview (SIGSEGV)
new libtiff breaks gqview (SIGSEGV)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: libtiff (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On: 125739
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-22 02:34 EDT by John Ellson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-10 01:42:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Ellson 2004-05-22 02:34:06 EDT
Description of problem:
new libtiff breaks gqview

Version-Release number of selected component (if applicable):
libtiff-3.6.1-2.i386.rpm (also libtiff-3.6.1-1.i386.rpm)
gqview-1.4.1-2

How reproducible:
100%

Steps to Reproduce:
1. gqview
2.
3.
  
Actual results:
Program received signal SIGSEGV, Segmentation fault.
0x001e17db in TIFFReadRGBAImage () from /usr/lib/libtiff.so.3
(gdb) where
#0  0x001e17db in TIFFReadRGBAImage () from /usr/lib/libtiff.so.3
#1  0x001e0d56 in TIFFReadRGBAImage () from /usr/lib/libtiff.so.3
#2  0x00f75f42 in ?? ()
   from /usr/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-tiff.so


Expected results:
no crash

Additional info:
Problem goes away if you revert to libtiff-3.5.7-16.1.i386.rpm
Comment 1 Matthias Clasen 2004-06-23 14:48:33 EDT
This bug will be fixed in the next stable release of GTK+
Comment 2 Matthias Clasen 2004-06-23 14:49:00 EDT
Thats 2.4.4

Note You need to log in before you can comment on or make changes to this bug.